#
# spec file for package python-slumber
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-slumber
Version:        0.7.1
Release:        lp152.1.1
Summary:        Object Orientated Interface to ReSTful APIs
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/samgiles/slumber
# https://github.com/samgiles/slumber/issues/43
Source:         https://github.com/samgiles/slumber/archive/%{version}.tar.gz
# https://github.com/samgiles/slumber/issues/151
Patch0:         python-slumber-disable-test_yaml_get_serializer-subtest.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module unittest2}
# /SECTION
Requires:       python-requests
Suggests:       python-PyYAML
Suggests:       python-simplejson
BuildArch:      noarch
%python_subpackages

%description
Slumber is a python library that provides a convenient yet powerful object
orientated interface to ReSTful APIs. It acts as a wrapper around the
excellent requests library and abstracts away the handling of urls, serialization,
and processing requests.

%prep
%setup -q -n slumber-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%license LICENSE.txt
%doc CHANGELOG.rst README.rst docs/*
%{python_sitelib}/*

%changelog
* Tue Apr  9 2019 pgajdos@suse.com
- version update to 0.7.1
  * Correct support for UTF encoded responses.
- single spec
- run testsuite
- run spec-cleaner
- Add patch to skip one failing test:
  * python-slumber-disable-test_yaml_get_serializer-subtest.patch
* Wed May 13 2015 benoit.monin@gmx.fr
- update to version 0.7.0:
  * no changelog available
- additional changes from version 0.6.2:
  * Further Python 3 compatibility fixes, many thanks to
    Alexander Shchepetilnikov (irqed)
- additional changes from version 0.6.1:
  * Remove simplejson dependency.
  * Support range now Python 2.6 - Python 3.4
- suggests python-PyYAML and python-simplejson
  instead of requiring them
* Sat Sep 14 2013 os-dev@jacraig.com
- Update to 0.6.0:
  * All HTTP methods support multipart/form-data. The new files parameter is
    directly passed to requests.
- Changes from 0.5.2:
  * Now compatible with requests 1.0
  * Fix bug when using default serializer
- Changed BuildRequires from distribute to setuptools
* Mon Nov  5 2012 saschpe@suse.de
- Update to version 0.5.1:
  + Fix serializers to work with multiple content_types
- Changes from version 0.5.0:
  + Refactoring release
- Disabled testsuite, upstream seems to have dropped it
* Wed Jun  6 2012 saschpe@suse.de
- Update to version 0.4.2:
  + Support decoded unicode url fragments
* Fri Apr 13 2012 saschpe@suse.de
- Update to version 0.4.1:
  + Added a session kwarg to slumber.API allowing passing a requests
    session that will be used instead of the slumber created one
* Wed Apr 11 2012 saschpe@gmx.de
- Disable testsuite on SLE_11_SP2 to fix build
* Thu Mar 22 2012 saschpe@gmx.de
- Initial version
